# Connect to a Service Provider on Fabric Establish a connection between your IBX colocated assets and a service profile. ![](https://docs.equinix.com/assets/images/connectToServiceProfile-02fcde0308ccca223457d1acfc0af2f1.png) ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") 1. Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call the OAuth API to validate and authenticate your credentials. 2. Determine A-side port information. Get your relevant port information using the [Get All Ports](https://docs.equinix.com/api-catalog/fabricv4/ports/getports.md) endpoint. 3. Choose the z-side Metro location. Use the [Get All Metros](https://docs.equinix.com/api-catalog/fabricv4/metros/getmetros.md) endpoint to find all metros where Equinix Fabric is available and determine your connection's destination location. 4. Identify the service provider's service profile information. Use the [Retrieve Service Profiles](https://docs.equinix.com/api-catalog/fabricv4/service-profiles/searchserviceprofiles.md) endpoint to search for a specific service profile or use the [List Service Profiles](https://docs.equinix.com/api-catalog/fabricv4/service-profiles/listserviceprofiles.md) endpoint to list all available service profiles, and identify the profile you want to connect to. ## Creating a Connection from a DOT1Q port to a Service Provider[​](#creating-a-connection-from-a-dot1q-port-to-a-service-provider "Direct link to Creating a Connection from a DOT1Q port to a Service Provider") To create a connection from a DOT1Q port to a Service Provider, send a `POST` request to the [`/fabric/v4/connections`](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md) endpoint. Specify your connection's configuration details in the body of the request. | | **`POST /fabric/v4/connections`** | | ---------------- | ------------------------------------------------------------------------------------- | | Method | `POST` | | Endpoint | `/fabric/v4/connections` | | Headers | `Authorization`, `Content-Type` | | Path Parameters | Not applicable | | Query Parameters | Not applicable | | Body Parameters | `type`, `name`, `order`, `redundancy`, `bandwidth`, `aSide`, `zSide`, `notifications` | To safely validate this request in production without creating a connection, see [Testing in Production (API Dry Run)](https://docs.equinix.com/equinix-api/testing/testing-in-production-dry-run.md). Sample cURL Request: ``` curl -X POST 'https: //api.equinix.com/fabric/v4/connections' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{     "type": "EVPL_VC",     "name": "Conn-1",     "order": {         "purchaseOrderNumber": "1-129105284100"     },     "bandwidth": 1000,     "redundancy": {         "group": "b767f685-41b0-1b07-6de0-320a5c00abdd",         "priority": "SECONDARY"     },     "aSide": {         "accessPoint": {             "type": "COLO",             "port": {                 "uuid": "a867f685-41b0-1b07-6de0-320a5c00abdd"             },             "linkProtocol": {                 "type": "DOT1Q",                 "vlanTag": 1001             }         }     },     "zSide": {         "accessPoint": {             "type": "SP",             "profile": {                 "uuid": "20d32a80-0d61-4333-bc03-707b591ae2f5"             },             "location": {                 "metroCode": "SV"             }         }     },     "notifications": [         {             "type": "ALL",             "emails": [                 "test@equinix.com",                 "test@equinix.com"             ]         }     ] }' ``` The parameters included in the request body are specific to this example. For a full list of parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md). Sample Response: ``` { "href": "https://api.equinix.com/fabric/v4/connections/3a58dd05-f46d-4b1d-a154-2e85c396ea62", "type": "EVPL_VC", "uuid": "3a58dd05-f46d-4b1d-a154-2e85c396ea62", "name": "Conn-1", "state": "PROVISIONING", "order": {     "purchaseOrderNumber": "1-129105284100",     "billingTier": "Up to 1 Gbps" }, "bandwidth": 1000, "redundancy": {     "group": "b767f685-41b0-1b07-6de0-320a5c00abdd",     "priority": "SECONDARY" }, "aSide": {     "accessPoint": {         "type": "COLO",         "port": {             "href": "https://api.equinix.com/fabric/v4/ports/a867f685-41b0-1b07-6de0-320a5c00abdd",             "type": "XF_PORT",             "uuid": "a867f685-41b0-1b07-6de0-320a5c00abdd"         },         "linkProtocol": {             "type": "DOT1Q",             "vlanTag": 1001         }     } }, "zSide": {     "accessPoint": {         "type": "SP",         "profile": {             "href": "https://api.equinix.com/fabric/v4/serviceProfiles/a867f685-41b0-1b07-6de0-320a5c00abdd",             "type": "L2_Profile",             "uuid": "20d32a80-0d61-4333-bc03-707b591ae2f4"         },         "location": {             "href": "https://api.equinix.com/v4/metros/SV",             "metrocode": "SV",             "region": "AMER"         }     } }, "notifications": [     {         "type": "ALL",         "emails": [             "test@equinix.com",             "test2@equinix.com"         ]     } ], "operation": {     "equinixStatus": "PENDING_APPROVAL",     "providerStatus": "NOT_AVAILABLE" }, "changeLog": {     "createdDateTime": "2021-07-15T19:30:29.526Z" } } ``` Response payload includes configuration parameters defined in the request body. For a full list of possible parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md). ## Creating a Connection from a QINQ port to a Service Provider[​](#creating-a-connection-from-a-qinq-port-to-a-service-provider "Direct link to Creating a Connection from a QINQ port to a Service Provider") To create a connection from a QINQ port to a Service Provider send a `POST` request to the [`/fabric/v4/connections`](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md) endpoint. Specify your connection's configuration details in the body of the request. Sample cURL Request: ``` curl -X POST 'https: //api.equinix.com/fabric/v4/connections' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{     "type": "EVPL_VC",     "name": "Conn-1",     "order": {         "purchaseOrderNumber": "1-129105284100"     },     "bandwidth": 1000,     "redundancy": {         "group": "b767f685-41b0-1b07-6de0-320a5c00abdd",         "priority": "SECONDARY"     },     "aSide": {         "accessPoint": {             "type": "COLO",             "port": {                 "uuid": "a867f685-41b0-1b07-6de0-320a5c00abdd"             },             "linkProtocol": {                 "type": "QINQ",                 "vlanCTag": 1001,                 "vlanSTag": 1002             }         }     },     "zSide": {         "accessPoint": {             "type": "SP",             "profile": {                 "uuid": "20d32a80-0d61-4333-bc03-707b591ae2f5"             },             "location": {                 "metroCode": "SV"             }         }     },     "notifications": [         {             "type": "ALL",             "emails": [                 "test@equinix.com",                 "test@equinix.com"             ]         }     ] }' ``` The parameters included in the request body are specific to this example. For a full list of parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md). ## Monitoring the Connection[​](#monitoring-the-connection "Direct link to Monitoring the Connection") Use the [Get Specified Connection](https://docs.equinix.com/api-catalog/fabricv4/connections/getconnectionbyuuid.md) endpoint to monitor connection status. | **`equinixStatus`** parameter values | **`providerStatus`** parameter values | **Description** | | ------------------------------------ | ------------------------------------- | ------------------------------------------------------------------------------- | | `PENDING_APPROVAL` | `NOT_AVAILABLE` | Connection request awaiting approval. | | `PROVISIONING` or `REJECTED` | `NOT_AVAILABLE` | Connection establishment in progress or the seller has rejected the connection. | | `PROVISIONED` | `AVAILABLE` | Connection established. | ![](https://docs.equinix.com/assets/images/connectToEnterpriseStatus-552bb7e1ddd9c71b8b8449c99b629842.png)